# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/websvn/websvn-2.3.2.ebuild,v 1.4 2011/03/21 18:03:55 xarthisius Exp $

EAPI="2"

JAVA_PKG_IUSE="source"

inherit java-pkg-2 java-ant-2 depend.php eutils webapp

MY_P="${P//_/}"

DESCRIPTION="This tool is able to export contacts from private and/or public folders in Zarafa to an LDAP server."
HOMEPAGE="http://community.zarafa.com/pg/plugins/project/135/developer/catWorkX/zarafa2ldap-integration"
SRC_URI="http://community.zarafa.com/mod/community_plugins/download.php?release_guid=136 -> ${P}.tar.gz"

LICENSE="AGPL-3"
IUSE=""
KEYWORDS="~amd64 ~x86"

COMMON_DEP="www-servers/axis:1"
RDEPEND=">=virtual/jre-1.5
	${COMMON_DEP}
	net-mail/zarafa"
DEPEND=">=virtual/jdk-1.5
	${COMMON_DEP}"
RESTRICT=""

need_httpd_cgi
need_php_httpd

S="${WORKDIR}/${MY_P}"

pkg_setup() {
	webapp_pkg_setup
	has_php
}

src_prepare() {
	cp "${FILESDIR}/build.xml" "${S}"

	echo "classpath=$(java-pkg_getjars axis-1)" > "${S}"/build.properties
}

EANT_DOC_TARGET=""

src_install() {
	webapp_src_preinst

	dodoc README || die "dodoc failed"

	insinto "${MY_HTDOCSDIR}"
	doins -r php/* || die "doins failed"

	#webapp_configfile "${MY_HTDOCSDIR}"/config.php
	webapp_configfile "${MY_HTDOCSDIR}"/mapiContacts.php

	#webapp_serverowned "${MY_HTDOCSDIR}"/cache

	webapp_src_install

	insinto /etc/${PN}
	doins bin/${PN}.conf

	java-pkg_dojar "${S}"/dist/zarafa2ldap.jar
	java-pkg_dolauncher ${PN}-${SLOT} --pwd /etc/${PN} --main de.catworkx.zarafa.zarafa2ldap.Zarafa2Ldap

	use source && java-pkg_dosrc "${S}"/src/*
}

