# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit webapp eutils rpm depend.php versionator

MY_PV=$(replace_version_separator 3 '-'  )
MY_PVV=$(replace_version_separator 3 'beta' $MY_PV )
MY_PVM=$(get_version_component_range 1-2 )
MY_PVS=$(get_version_component_range 3 )

DESCRIPTION="A SabreDAV backend for Zarafa groupware"
HOMEPAGE="https://code.google.com/p/sabre-zarafa/"

SRC_URI="https://github.com/bokxing-it/sabre-zarafa/archive/v${MY_PVM}.tar.gz -> sabre-zarafa-${MY_PVM}.tar.gz
	https://github.com/fruux/sabre-dav/archive/1.8.${MY_PVS}.tar.gz -> SabreDAV-1.8.${MY_PVS}.tar.gz"

S="${WORKDIR}/sabre-zarafa-${MY_PVM}"

LICENSE="AGPL-3"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"
IUSE=""

need_php_httpd

pkg_setup () {
	webapp_pkg_setup
	require_php_with_use iconv session xml
}

src_install() {
	webapp_src_preinst

	# rearrange files and remove unneeded ones
	rm lib/Sabre.includes.php || die "Unexpected source layout; ebuild needs update"
	rm -r lib/Sabre || die "Unexpected source layout; ebuild needs update"
	cp -r "${S}/../SabreDAV/lib/Sabre" "${S}/lib" || die "Unexpected source layout; ebuild needs update"
	cp -r "${S}/../SabreDAV/lib/Sabre.includes.php" "${S}/lib" || die "Unexpected source layout; ebuild needs update"
	
	insinto "${MY_HTDOCSDIR}"
	doins -r "${S}"/*

	webapp_serverowned "${MY_HTDOCSDIR}/config.inc.php"
	webapp_configfile "${MY_HTDOCSDIR}/config.inc.php"

	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
	webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt

	webapp_src_install
}
