# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit webapp eutils rpm depend.php versionator

MY_PV=$(replace_version_separator 2 '-'  )
MY_PVV=$(replace_version_separator 3 'beta' $MY_PV )
MY_PVM=$(get_version_component_range 1-2 )
MY_PVR=$(get_version_component_range 1-3 )

DESCRIPTION="Open Source Groupware Solution"
HOMEPAGE="http://zarafa.com/"

ZARAFA_WEBAPP_BUILD="final"

if [[ ${ZARAFA_WEBAPP_BUILD} == "final" ]] ; then
	SRC_URI="http://download.zarafa.com/community/${ZARAFA_WEBAPP_BUILD}/WebApp/${MY_PVM}/rhel/zarafa-webapp-${MY_PV}.noarch.rpm"
else
	SRC_URI="http://download.zarafa.com/community/${ZARAFA_WEBAPP_BUILD}/WebApp/zarafa-webapp-${MY_PV}.noarch.rpm"
fi
S="${WORKDIR}/usr/share/zarafa-webapp"

LICENSE="AGPL-3"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"
IUSE=""

need_php_httpd

pkg_setup () {
	webapp_pkg_setup
	require_php_with_use iconv session xml
}

src_install() {
	webapp_src_preinst

	# rearrange files and remove unneeded ones
	rm config.php || die "Unexpected source layout; ebuild needs update"
	rm -r plugins || die "Unexpected source layout; ebuild needs update"
	cp "${S}/../../../etc/zarafa/webapp/config.php" "${S}/config.php" || die "Unexpected source layout; ebuild needs update"

	dodir "/var/lib/zarafa-webapp/plugins"
	dosym "/var/lib/zarafa-webapp/plugins" "${MY_HTDOCSDIR}"/plugins
	dodir "/var/lib/zarafa-webapp/tmp"

	insinto "${MY_HTDOCSDIR}"
	doins -r "${S}"/*

	webapp_serverowned -R "/var/lib/zarafa-webapp"
	webapp_serverowned "${MY_HTDOCSDIR}/config.php"
	webapp_configfile "${MY_HTDOCSDIR}/config.php"

	webapp_src_install
}
